"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Container = _interopRequireDefault(require("@material-ui/core/Container"));

var _CssBaseline = _interopRequireDefault(require("@material-ui/core/CssBaseline"));

var _Grid = _interopRequireDefault(require("@material-ui/core/Grid"));

var _styles = require("@material-ui/core/styles");

var _GitHub = _interopRequireDefault(require("@material-ui/icons/GitHub"));

var _DarkModeProvider = require("material-ui-pack/dist/DarkModeProvider");

var _DarkModeToggle = _interopRequireDefault(require("material-ui-pack/dist/DarkModeToggle"));

var _react = _interopRequireDefault(require("react"));

var _Alert = _interopRequireDefault(require("./Alert"));

var _Button = _interopRequireDefault(require("./Button"));

var _AlertExample = _interopRequireDefault(require("./examples/AlertExample"));

var _ButtonExample = _interopRequireDefault(require("./examples/ButtonExample"));

var _CardExample = _interopRequireDefault(require("./examples/CardExample"));

var _TypographyExample = _interopRequireDefault(require("./examples/TypographyExample"));

var _Typography = _interopRequireDefault(require("./Typography"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function App() {
  const {
    createMuiThemeWithDarkMode
  } = (0, _DarkModeProvider.useDarkMode)();
  const theme = createMuiThemeWithDarkMode({
    palette: {
      primary: {
        main: "#0080ff"
      },
      secondary: {
        main: "#69757d"
      }
    }
  });
  return _react.default.createElement(_styles.ThemeProvider, {
    theme: theme
  }, _react.default.createElement(_Container.default, {
    maxWidth: "md"
  }, _react.default.createElement(_CssBaseline.default, null), _react.default.createElement("br", null), _react.default.createElement(_Grid.default, {
    container: true,
    justify: "space-between"
  }, _react.default.createElement(_Grid.default, null, _react.default.createElement(_Typography.default, {
    variant: "h3",
    component: "h1",
    color: "dark"
  }, "material-ui-bootstrap"), _react.default.createElement("br", null), _react.default.createElement(_Alert.default, {
    color: "light"
  }, _react.default.createElement("a", {
    href: "https://badge.fury.io/js/material-ui-bootstrap"
  }, _react.default.createElement("img", {
    src: "https://badge.fury.io/js/material-ui-bootstrap.svg",
    alt: "npm version"
  })), "\xA0", _react.default.createElement("a", {
    href: "https://travis-ci.org/claytonfbell/material-ui-bootstrap"
  }, _react.default.createElement("img", {
    src: "https://travis-ci.org/claytonfbell/material-ui-bootstrap.svg?branch=master",
    alt: "Build Status"
  })), _react.default.createElement("div", null, _react.default.createElement("code", null, "npm install material-ui-bootstrap"))), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_DarkModeToggle.default, null)), _react.default.createElement(_Grid.default, null, _react.default.createElement(_Button.default, {
    startIcon: _react.default.createElement(_GitHub.default, null),
    color: "secondary",
    variant: "contained",
    href: "https://github.com/claytonfbell/material-ui-bootstrap"
  }, "GitHub"))), _react.default.createElement("br", null), _react.default.createElement(_Alert.default, {
    color: "light"
  }, _react.default.createElement(_Alert.default.Heading, null, "Button"), _react.default.createElement("br", null), _react.default.createElement(_ButtonExample.default, null)), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_Alert.default, {
    color: "light"
  }, _react.default.createElement(_Alert.default.Heading, null, "Alert"), _react.default.createElement("br", null), _react.default.createElement(_AlertExample.default, null)), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_Alert.default, {
    color: "light"
  }, _react.default.createElement(_Alert.default.Heading, null, "Typography"), _react.default.createElement("br", null), _react.default.createElement(_TypographyExample.default, null)), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_Alert.default, {
    color: "light"
  }, _react.default.createElement(_Alert.default.Heading, null, "Card"), _react.default.createElement("br", null), _react.default.createElement(_CardExample.default, null))));
}

var _default = () => _react.default.createElement(_DarkModeProvider.DarkModeProvider, null, _react.default.createElement(App, null));

exports.default = _default;