"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CardHeader = CardHeader;
exports.CardTitle = CardTitle;
Object.defineProperty(exports, "CardActionArea", {
  enumerable: true,
  get: function () {
    return _CardActionArea.default;
  }
});
Object.defineProperty(exports, "CardActions", {
  enumerable: true,
  get: function () {
    return _CardActions.default;
  }
});
Object.defineProperty(exports, "CardContent", {
  enumerable: true,
  get: function () {
    return _CardContent.default;
  }
});
Object.defineProperty(exports, "CardMedia", {
  enumerable: true,
  get: function () {
    return _CardMedia.default;
  }
});
exports.default = void 0;

var _Card = _interopRequireDefault(require("@material-ui/core/Card"));

var _colorManipulator = require("@material-ui/core/styles/colorManipulator");

var _makeStyles = _interopRequireDefault(require("@material-ui/styles/makeStyles"));

var _react = _interopRequireDefault(require("react"));

var _Typography = _interopRequireDefault(require("./Typography"));

var _CardActionArea = _interopRequireDefault(require("@material-ui/core/CardActionArea"));

var _CardActions = _interopRequireDefault(require("@material-ui/core/CardActions"));

var _CardContent = _interopRequireDefault(require("@material-ui/core/CardContent"));

var _CardMedia = _interopRequireDefault(require("@material-ui/core/CardMedia"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const useStyles = (0, _makeStyles.default)(theme => {
  const bootstrapColors = {
    primary: {
      backgroundColor: theme.palette.primary.main,
      color: theme.palette.primary.contrastText
    },
    secondary: {
      backgroundColor: theme.palette.secondary.main,
      color: theme.palette.primary.contrastText
    },
    success: {
      backgroundColor: "#218838",
      color: "#fff"
    },
    danger: {
      backgroundColor: "#c82333",
      color: "#fff"
    },
    warning: {
      backgroundColor: "#e0a800",
      color: "#fff"
    },
    info: {
      backgroundColor: "#138496",
      color: "#fff"
    },
    light: {
      backgroundColor: theme.palette.background.default,
      color: theme.palette.text.primary
    },
    dark: {
      backgroundColor: (0, _colorManipulator.fade)(theme.palette.text.primary, 0.7),
      color: theme.palette.background.default
    }
  };

  function getColor(x) {
    return bootstrapColors[x.color === undefined ? "light" : x.color];
  }

  return {
    root: {
      backgroundColor: x => getColor(x).backgroundColor,
      color: x => getColor(x).color,
      "& a": {
        color: x => getColor(x).backgroundColor,
        fontWeight: "bolder",
        textDecoration: "none",
        "&:hover": {
          textDecoration: "underline"
        }
      }
    }
  };
});

const Card = _react.default.forwardRef(function BootstrapButton(props, ref) {
  const classes = useStyles(props);
  const {
    color,
    ...otherProps
  } = props;
  return _react.default.createElement(_Card.default, _extends({}, otherProps, {
    classes: classes,
    ref: ref,
    variant: "outlined"
  }));
});

var _default = Card;
exports.default = _default;

function CardHeader(props) {
  const classes = (0, _makeStyles.default)(theme => ({
    root: {
      padding: `10px 14px 10px 14px`,
      backgroundColor: (0, _colorManipulator.fade)("#000", 0.04),
      borderBottom: `1px solid ${theme.palette.divider}`
    }
  }))();
  return _react.default.createElement("div", {
    className: classes.root
  }, _react.default.createElement(_Typography.default, {
    color: "inherit"
  }, props.children));
}

function CardTitle(props) {
  return _react.default.createElement(_Typography.default, {
    color: "inherit",
    variant: "h5",
    component: "h2"
  }, props.children);
}